package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferenceAgendaSeat;
import com.smcic.api.conference.service.impl.ConferenceAgendaSeatServiceImpl;
import com.smcic.api.conference.service.impl.ConferenceAgendaServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@RestController
@RequestMapping("/conference/agenda/seat")
public class ConferenceAgendaSeatController {

    @Resource
    private ConferenceAgendaSeatServiceImpl conferenceAgendaSeatService;

    @PostMapping("create")
    public ConferenceAgendaSeat create(@RequestBody ConferenceAgendaSeat conferenceAgendaSeat){
        conferenceAgendaSeatService.save(conferenceAgendaSeat);
        return conferenceAgendaSeat;
    }

    @GetMapping("info/{id}")
    public ConferenceAgendaSeat info(@PathVariable("id") Long id){
        return conferenceAgendaSeatService.info(id);
    }
}
