package com.smcic.api.conference.controller;


import com.smcic.api.conference.entity.ConferencePartner;
import com.smcic.api.conference.service.impl.ConferencePartnerServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@RestController
@RequestMapping("/conference/partner")
public class ConferencePartnerController {

    @Resource
    private ConferencePartnerServiceImpl conferencePartnerService;

    @PostMapping("create")
    public  ConferencePartner create(@RequestBody ConferencePartner conferencePartner){
        conferencePartnerService.save(conferencePartner);
        return conferencePartner;
    }

    @GetMapping("list/{id}")
    public List<ConferencePartner> list(@PathVariable( "id" ) Long id){
        return conferencePartnerService.listByCid(id);
    }
}
