package com.smcic.api.conference.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Getter
@Setter
@TableName("conference_agenda")
public class ConferenceAgenda implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long conferenceId;

    /**
     * 议程名称
     */
    private String agendaName;

    /**
     * 议程封面
     */
    private String agendaCover;

    /**
     * 议程简述
     */
    private String agendaDesc;

    /**
     * 议程时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private LocalDateTime agendaTime;


    /**
     * 议程详细内容
     */
    private String agendaContent;

    /**
     * 会议视频
     */
    private String agendaVideo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;


}
