package com.smcic.api.conference.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Getter
@Setter
@TableName("conference_guest")
public class ConferenceGuest implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long conferenceId;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 职位职务头衔
     */
    private String tags;

    /**
     * 头像
     */
    private String photo;

    /**
     * 排序
     */
    private Integer sortNumber;

    /**
     * 人物简介
     */
    private String userDesc;

    /**
     * 类型：1.主讲嘉宾， 2.参会嘉宾，3.参会人员
     */
    private Integer userType;

    /**
     * 演讲视频
     */
    private String speechVideo;

    /**
     * 演讲封面
     */
    private String speechCover;


}
