package com.smcic.api.conference.service.impl;

import com.smcic.api.conference.entity.ConferenceAgenda;
import com.smcic.api.conference.mapper.ConferenceAgendaMapper;
import com.smcic.api.conference.service.IConferenceAgendaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Service
public class ConferenceAgendaServiceImpl extends ServiceImpl<ConferenceAgendaMapper, ConferenceAgenda> implements IConferenceAgendaService {

    public List<ConferenceAgenda>  listByCid(Long id){
        return lambdaQuery().eq(ConferenceAgenda::getConferenceId, id).orderByAsc(ConferenceAgenda::getAgendaTime).list();
    }
}
