package com.smcic.api.conference.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceLive;
import com.smcic.api.conference.entity.ConferenceLiveVideo;
import com.smcic.api.conference.mapper.ConferenceLiveMapper;
import com.smcic.api.conference.service.IConferenceLiveService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Service
public class ConferenceLiveServiceImpl extends ServiceImpl<ConferenceLiveMapper, ConferenceLive> implements IConferenceLiveService {

    public Page<ConferenceLive> livePage(Long id, Integer page, Integer size) {
        Page<ConferenceLive> page1 = new Page<>(page, size);

        LambdaQueryWrapper<ConferenceLive> wrapper = new LambdaQueryWrapper<>();
        return this.baseMapper.selectPage(page1,
                wrapper.eq(ConferenceLive::getAgendaId, id).orderByDesc(ConferenceLive::getId));
    }
}
