package com.smcic.api.operate.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2022-12-10
 */
@Getter
@Setter
@TableName("operate_enroll_info")
public class EnrollInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer operateId;

    private String phone;

    private String name;

    private String university;

    private String file;

    private String type;

    private String isOnLine;

    private LocalDateTime updateTime;

    private String introduction;

    private Integer votes;

    private Integer status;

    private Integer sort;

    private String workTitle;

    public EnrollInfo() {
    }

    public EnrollInfo(String phone, String name, String university, String file, String isOnLine, String type, Integer operateId, String introduction, LocalDateTime updateTime, String workTitle) {
        this.phone = phone;
        this.name = name;
        this.university = university;
        this.file = file;
        this.isOnLine = isOnLine;
        this.updateTime = updateTime;
        this.type = type;
        this.operateId =  operateId;
        this.introduction = introduction;
        this.workTitle = workTitle;
    }
}
