package com.smcic.api.conference.service.impl;

import com.smcic.api.conference.entity.ConferenceConf;
import com.smcic.api.conference.mapper.ConferenceConfMapper;
import com.smcic.api.conference.service.IConferenceConfService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Service
public class ConferenceConfServiceImpl extends ServiceImpl<ConferenceConfMapper, ConferenceConf> implements IConferenceConfService {

    public ConferenceConf info(Long id, String key) {
        return lambdaQuery().eq(ConferenceConf::getConferenceId, id).eq(ConferenceConf::getConfKey, key).one();
    }

    public List<ConferenceConf> listByCid(Long id){
        return lambdaQuery().eq(ConferenceConf::getConferenceId, id).list();
    }
}
