package com.smcic.api.hotrank.controller;


import com.smcic.api.hotrank.dto.HotRankDTO;
import com.smcic.api.hotrank.service.impl.HotRankServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2022-04-27
 */
@RestController
@RequestMapping("/hot-rank")
public class HotRankController {

    @Autowired
    private HotRankServiceImpl hotRankService;

    @RequestMapping("today")
    public List<HotRankDTO> todayRank(@RequestParam(value = "name",required = false,defaultValue = "抖音") String name){
        return hotRankService.todayRank(name);
    }

    @RequestMapping("local")
    public List<HotRankDTO> localRank(){
        return hotRankService.todayRank("地域热点");
    }
}
