package com.smcic.api.operate.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2022-12-08
 */
@Getter
@Setter
@TableName("operate_users")
public class Users implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer userId;

    private String userName;

    private String phone;

    private String addr;

    // 最大抽奖次数
    private Integer maxDrawNum = 2;

    // 已抽奖次数
    private Integer drewNum;

    private Integer operateId = 1;

    // 剩余抽奖次数
    private Integer drawNum;

    @TableField(exist = false)
    private String verifyCode;

}
