package com.smcic.api.tags.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class Recommend {

    @JsonProperty("appid")
    private String appid;
    @JsonProperty("table_name")
    private String tableName;
    @JsonProperty("table_content")
    private List<TableContentDTO> tableContent;

    @NoArgsConstructor
    @Data
    public static class TableContentDTO {
        @JsonProperty("cmd")
        private String cmd;
        @JsonProperty("fields")
        private FieldsDTO fields;

        @NoArgsConstructor
        @Data
        public static class FieldsDTO {
            @JsonProperty("userid")
            private String userid;
            @JsonProperty("tel")
            private String tel;
            @JsonProperty("user_tags")
            private String userTags;
            @JsonProperty("province")
            private String province;
            @JsonProperty("city")
            private String city;
            @JsonProperty("imei")
            private String imei;
        }
    }
}
